using System.Collections.Generic;

namespace Wizard;

public class CardProtectTask : BaseTask
{
	public class CardProtectTaskParam : BaseParam
	{
		public int card_id;

		public bool is_protected;
	}

	private CardProtectTaskParam _param;

	public CardProtectTask()
	{
		base.type = ApiType.Type.CardProtect;
	}

	public void SetParameter(int card_id, bool is_protected)
	{
		_param = new CardProtectTaskParam();
		_param.card_id = card_id;
		_param.is_protected = is_protected;
		base.Params = _param;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		List<int> favoriteCardList = GameMgr.GetIns().GetDataMgr().FavoriteCardList;
		if (_param.is_protected)
		{
			favoriteCardList.Add(_param.card_id);
		}
		else
		{
			favoriteCardList.Remove(_param.card_id);
		}
		return num;
	}
}
